Bug 618199 - gnome-web-photo just hangs
Summary: gnome-web-photo just hangs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-web-photo
Version: 14
Hardware: All
OS: Linux
urgent
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 11:54 UTC by Kamil Páral
Modified: 2012-03-01 11:10 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-03-01 11:10:16 UTC


Attachments (Terms of Use)

Description Kamil Páral 2010-07-26 11:54:10 UTC
Description of problem:
gnome-web-photo simply doesn't work:

$ gnome-web-photo --timeout=16  http://www.gnome.org 1.png

** (gnome-web-photo:19109): WARNING **: Couldn't attach the listener!

Load timed out; consider using --force or increasing the timeout (use 0 for no timeout)
<hangs for eternity>
^C

There are multiple problems with this:
1. it doesn't work at all
2. --timeout option obviously doesn't work neither, the process keeps waiting instead of shutting itself
3. installation of this package completely breaks nautilus thumbnailing, because nautilus work indefinitely for thumbnails of html pages and there no other thumbnails are created (images, pdfs, etc) until session is restarted

Version-Release number of selected component (if applicable):
gnome-web-photo-0.9-10.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. gnome-web-photo --timeout=16  http://www.gnome.org 1.png
2.
3.

Comment 1 amturnip 2011-02-26 19:27:36 UTC
By the way, it seems to gather the page image OK now.

$ gnome-web-photo http://www.gnome.org 1.png

$ identify 1.png
1.png PNG 1024x1249 1024x1249+0+0 8-bit DirectClass 382KB 0.000u 0:00.000

$ rpm -q gnome-web-photo
gnome-web-photo-0.9-16.fc14.1.x86_64

Comment 2 Bug Zapper 2011-06-01 12:49:13 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Kamil Páral 2011-06-01 13:00:47 UTC
I see the same problem for Fedora 14.

$ gnome-web-photo --timeout=16  http://www.gnome.org 1.png

** (gnome-web-photo:16674): WARNING **: Couldn't attach the listener!

Load timed out; consider using --force or increasing the timeout (use 0 for no timeout)
^C

gnome-web-photo-0.9-20.fc14.1.x86_64

Comment 4 Kamil Páral 2012-03-01 11:10:16 UTC
Seems to work well in F17.


Note You need to log in before you can comment on or make changes to this bug.